Bug 219259 - Glassfish server (default instance from installation) not offered in wizard
Glassfish server (default instance from installation) not offered in wizard
Status: REOPENED
Product: serverplugins
Classification: Unclassified
Component: GlassFish
7.3
PC Mac OS X
: P3 (vote)
: 7.4
Assigned To: TomasKraus
issues@serverplugins
NB_AND_SDK
: RANDOM
: 236310 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 11:45 UTC by Tomas Danek
Modified: 2013-09-25 08:54 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2012-10-01 11:45:01 UTC
Product Version: NetBeans IDE 7.3 Beta (Build 201210010205)
Java: 1.7.0_10-ea; Java HotSpot(TM) 64-Bit Server VM 23.6-b02
System: Mac OS X version 10.8.2 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3beta
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3beta
-----------------------
- install full IDE (/w ergonomics)
- activate javase by creating maven javase project
- now try to create java web maven project; on settings panel (#3) of project wizard you do not see any server populating server combobox!
Workaround:  To make glassfish instance (which was by default registered during installation) visible for this wizard, go to Services window and expand server node. Since then is this instance offered in wizard.
Comment 1 Martin Janicek 2012-10-01 12:54:18 UTC
Reassigning to Glassfish for evaluation.
ServerSelectionHelper.initServerModel() from maven.j2ee is using
Deployment.getDefault().getServerInstanceIDs() which most probably returns
incorrect values.
BTW: The code is almost identical also for Ant based projects
(ProjectServerPanel.initServers method)
Comment 2 TomasKraus 2012-10-02 13:06:02 UTC
I'm unable to reproduce this with my current web-main build. But my server was registered using wizard.
Comment 3 TomasKraus 2012-10-03 12:09:38 UTC
I was unable to reproduce this even with fresh 7.3 beta1 and bundled GlassFish.
  Product Version         = NetBeans IDE 7.3 Beta (Build 201210011125) (#4cd218687d5f)
  Operating System        = Linux version 2.6.38-8-generic running on amd64
  Java; VM; Vendor        = 1.7.0_03; Java HotSpot(TM) 64-Bit Server VM 22.1-b02; Oracle Corporation
  Runtime                 = Java(TM) SE Runtime Environment 1.7.0_03-b04
Comment 4 TomasKraus 2012-10-03 13:44:35 UTC
This seems to be happening randomly and only from time to time. Changing to P4.
If you'll see it again feel free to switch it back to P2.
Comment 5 TomasKraus 2012-11-28 14:19:55 UTC
Tomas, are you able to reproduce this every time with last dev builds?
Comment 6 Tomas Danek 2012-11-30 12:00:30 UTC
cannot reproduce with latest dev build.
Comment 7 TomasKraus 2012-11-30 13:28:26 UTC
OK, thank you for response. Think this issue can be considered as resolved now.
Comment 8 Tomas Danek 2013-01-11 13:52:40 UTC
Happened to me twice today. Still do not have reliable steps to reproduce.
Comment 9 TomasKraus 2013-01-11 14:12:28 UTC
We can keep this open for some period of time. I'm actually working on some server status checks so this can be checked again after I'll be done.
Comment 10 TomasKraus 2013-07-19 23:12:00 UTC
IS is still happening in last 7.4 dev build? I did a lot of xhanges in server atatus code so there is a chance that it is resolved.
Comment 11 TomasKraus 2013-08-03 23:17:58 UTC
Did you see this with 7.4 dev builds?
Comment 12 Tomas Danek 2013-08-05 11:57:34 UTC
did not have time to focus on daily builds yes, feel free to close, I'll eventually reopen.
 (In reply to comment #11)
> Did you see this with 7.4 dev builds?
Comment 13 TomasKraus 2013-08-05 14:52:18 UTC
OK, closing as incomplete now. You'll see.
Comment 14 Tomas Danek 2013-08-28 08:26:22 UTC
still reproducible; had a full IDE with ergonomics, activated web by creating new maven web project, but no glassfish in combo.

Product Version: NetBeans IDE Dev (Build 201308260001)
Java: 1.7.0_40; Java HotSpot(TM) 64-Bit Server VM 24.0-b55
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b42
System: Mac OS X version 10.8.4 running on x86_64; UTF-8; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev
Comment 15 TomasKraus 2013-08-28 09:36:32 UTC
And is there some reliable test-case for debugging?
Comment 16 Tomas Danek 2013-08-28 09:42:11 UTC
I'm afraif there is not. I'm suspicious that ergonomics may not activate glassfish module. If you let me know, which module is necessary to be turned on (to populate combobox with GF server), I can investigate if ergonomics turned that module on.
(In reply to TomasKraus from comment #15)
> And is there some reliable test-case for debugging?
Comment 17 TomasKraus 2013-08-28 10:44:24 UTC
There are 3 modules - glassfish.common, glassfish.eecommon and glassfish.javaee.
Minimum to list servers is glassfish.common but all of them must be active to access Java EE features.
Comment 18 Martin Janicek 2013-09-25 08:54:37 UTC
*** Bug 236310 has been marked as a duplicate of this bug. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo